Subject: Re: Telcordia SG16: CommandError in Annex A of H.248

From: Tom-PT Taylor <[email-masked]>
Date: Thu, 27 Jan 2000 15:33:25 -0500

We should probably review the whole collection of places in which the ASN.1
and ABNF show errorDescriptors -- it seems like there are a lot of them.  I
can't find "CommandError" in Annex A of the version submitted to the ITU
(shortly to be placed on the Megaco site), but that may be a
misunderstanding.

> -----Original Message-----
> From: Selvam Rengasami [SMTP:[email-masked]]
> Sent: Thursday, January 27, 2000 9:16 AM
> To:   [email-masked]
> Subject:      Telcordia SG16: CommandError in Annex A of H.248
>
> In Annex A, the following term "CommandError" is defined, however, it is
> not
> tied to any transaction, action, or command.  It is not clear what its use
> is.
> H.248 should state what its relationship is to the other aspects of the
> protocol
> or should remove it.
>
> It is proposed that the CommandError description in Annex A be removed.
>
> Section 3.6 of a Telcordia Technologies contribution to SG 16 (which can
> be
> found at
> ftp://standard.pictel.com/avc-site/Incoming/telcordia-h248-misc-cmts.DOC )
> provides a proposal for clarifying this issue.
>
>
> -Selvam Rengasami
> Telcordia Technologies
> Tel:  +1 732 758 5260
> E-mail:  [email-masked]

---

From: John Segers <[email-masked]>
Date: Mon, 31 Jan 2000 13:05:12 +0100

The clause for CommandError has been removed.

John

> Tom-PT Taylor wrote:
>
> We should probably review the whole collection of places in which the
> ASN.1 and ABNF show errorDescriptors -- it seems like there are a lot
> of them.  I can't find "CommandError" in Annex A of the version
> submitted to the ITU (shortly to be placed on the Megaco site), but
> that may be a misunderstanding.
>
>      In Annex A, the following term "CommandError" is defined,
>      however, it is not
>      tied to any transaction, action, or command.  It is not clear
>      what its use is.
>      H.248 should state what its relationship is to the other aspects
>      of the protocol
>      or should remove it.
>
>      Section 3.6 of a Telcordia Technologies contribution to SG 16
>      (which can be
>      found at

--
John Segers                                  email: [email-masked]
Lucent Technologies                                        Room HE 306
Dept. Forward Looking Work                      phone: +31 35 687 4724
P.O. Box 18, 1270 AA  Huizen                      fax: +31 35 687 5954